Skip to navigation

Get an invoice

Retrieve details of an invoice by its ID

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

invoiceIdstringRequiredformat: "uuid"

Response

achDebitEnabledboolean
Whether or not the invoice can be paid via ach debit.
amountdouble
The total amount of the invoice line items plus taxes.
ccEmailslist of strings

Emails to be CCed on invoice notifications/reminders.

createdAtstringformat: "yyyy-mm-ddThh:MM:ssZ"
creditCardEnabledboolean
Whether or not the invoice can be paid via credit card. Requires stripe to be setup for the Mercury account.
customerIdstringformat: "uuid"
destinationAccountIdstringformat: "uuid"
dueDatedate
idstringformat: "uuid"
invoiceDatedate
invoiceNumberstring

The payer facing invoice number/identifier.

lineItemslist of objects
The line items for the invoice.
slugstring
Public slug for an invoice. Used to construct the pay page URL as well as the URL to retrieve the PDF of the invoice.
statusenum
Allowed values:
updatedAtstringformat: "yyyy-mm-ddThh:MM:ssZ"
useRealAccountNumberboolean
Whether or not the invoice payment instructions will show the real account and routing number for the destination account or use virtual account numbers instead.
canceledAtobject or nullOptional
internalNotestring or nullOptional
Internal note for the invoice, visible by users in the mercury organization but not visible to payers.
payerMemostring or nullOptional
Memo for the payer of the invoice.
poNumberstring or nullOptional
Purchase order number for the invoice if applicable.
servicePeriodEndDateobject or nullOptional
servicePeriodStartDateobject or nullOptional

Errors

404
Not Found Error